Bug 63233 - apacheconf shows _default_ in it's list of vhosts
apacheconf shows _default_ in it's list of vhosts
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: apacheconf (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-11 11:08 EDT by Jonathan Blandford
Modified: 2013-04-02 00:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-12 08:50:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Blandford 2002-04-11 11:08:27 EDT
Instead of using _default_ as the default vhost, it puts it in the list of
current virtual hosts.
Comment 1 Phil Knirsch 2002-04-12 08:50:15 EDT
Actually, i am not sure anymore if this is not correct behaviour.

IIRC we had that discussion when apacheconf was developed that we needed to
separate 3 different types of vhosts:

 - The application default vhost (vhostdefault element)
 - The 'real' Default vhost (called _default_)
 - Normal vhosts

as it wasn't possible to include all the 'features' of the real default vhost
into the application default and vice versa.

Please correct my if i am wrong.

Read ya, Phil
Comment 2 Phil Knirsch 2002-04-12 12:09:30 EDT
OK, the problem came from a error in our rpm.xml file. Fixed it there, but
unfortunately we can't fix it in the code itself and in already installed
versions as something was missing in the rpm.xml file and, after first use, has
been migreated to the local.xml file.

Things look ok now for fresh installs though.

Read ya, Phil

PS: And yes, i misunderstod the bugreport at first. The 'Default Virtual Host'
entry was never under discussion, just the strange display of _default_:* :)

Note You need to log in before you can comment on or make changes to this bug.